GET
/api/v1/meetings/{id}/analyticsGet Meeting Analytics
Returns participation and intervention analytics for a given meeting ID.
Authentication
Send your API key in the x-api-key header.
x-api-keybearer
Parameters
idrequiredpath · string
Meeting ID to get analytics from.
Responses
200
PublicApiGetMeetingAnalyticsResponseDto
statusCoderequirednumber
countrequirednumber
errorrequiredstring
datarequiredPublicApiMeetingAnalyticsResponseDto
Example response
json
{
"statusCode": 200,
"count": 0,
"error": null,
"data": {
"meetingId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d",
"questionsBySpeaker": [
{
"speakerLabel": "John Doe",
"count": 5
}
],
"participantParticipation": [
{
"speakerLabel": "John Doe",
"averageSpeakingTime": 120,
"totalSpeakingTime": "02:00",
"longestMonologue": 45,
"numberOfInterventions": 12,
"averageTimePerIntervention": 10
}
]
}
}
401Unauthorized - missing or invalid API key or Bearer token